// Constraint form

using FiveTuple.Coderform;


public class clsConstraintsNumeric : clsDataForm
{

	private const string mstrABOUT_TITLE = "Numerics";

	public clsConstraintsNumeric() : base(mstrABOUT_TITLE)

	{

		try
		{

			AddTextboxes();

			AddConstraints();

		}
		catch
		{

			throw;
		}

	}


	// AddTextboxes
	private void AddTextboxes()
	{

		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Numerics");

			// Integer
			objBlock1.objAddInteger("Integer1").intValue = 4;

			// Integer
			objBlock1.objAddInteger("Integer2");

			// Float
			objBlock1.objAddFloat("Float1").dblValue = 3.1415926;

			// Float
			objBlock1.objAddFloat("Float2").dblValue=  1.414;


			AddDataControl(objBlock1);

		}
		catch
		{

			throw;
		}

	}


	// AddConstraints
	private void AddConstraints()
	{

		clsDataControl objDataControl1;
		clsDataControl objDataControl2;
		clsDataControl objDataControl3;
		clsDuty objDuty;
		clsConstraintNumeric objConstraint;

		try
		{

			objDataControl1 = this.get_objDataControl("Integer1");

			objDataControl2 = this.get_objDataControl("Integer2");

			// Example 5
			objConstraint = new clsConstraintNumeric(4);
			objDataControl1.objAddDuty(objConstraint, (int) (enmDutyBinding.Display | enmDutyBinding.DataChanged), enmControlState.Enabled, objDataControl2);

			// Example 6
			objDataControl2 = this.get_objDataControl("Float1");
			objDataControl3 = this.get_objDataControl("Float2");

			objDuty = objDataControl1.objAddDuty(objConstraint, (int) (enmDutyBinding.Display | enmDutyBinding.DataChanged), enmControlState.Enabled, objDataControl2);

			objDuty.AddAction(objDataControl3, enmControlState.Enabled);

		}
		catch
		{

			throw;
		}
	}

}





	

