// Numeric form 
using FiveTuple.Coderform;

public class clsNumericForm : clsDataForm
{

	private const string mstrABOUT_TITLE = "Numerics";


	public clsNumericForm() : base(mstrABOUT_TITLE)

	{

		try
		{

			AddIntegers();
			AddFloats();

		}
		catch
		{
			throw;
		}

	}


	// AddIntegers
	private void AddIntegers()
	{

		clsUDInteger objInteger1;
		clsUDInteger objInteger2;
		clsUDInteger objInteger3;
		clsUDInteger objInteger4;
		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Integers");

			objBlock1.enmCompaction = enmCompactionSet.VeryCompact;

			// Simple integer
			objBlock1.objAddInteger("Integer1",1,"Integer1");

			// Set width
			objInteger1 = objBlock1.objAddInteger("Integer2");
			objInteger2 = new clsUDInteger("Integer", 0, "Integer2", enmInteger.IntegerTextbox);
			objInteger3 = new clsUDInteger("Integer Positive", 0, "Integer3", enmInteger.IntegerTextboxPositive);
			objInteger4 = new clsUDInteger("Integer Label", 7000, "Integer4", enmInteger.Label);

			objInteger1.objPortedControl.sglDataWidth = 10;
			objInteger2.objPortedControl.sglDataWidth = 10;
			objInteger3.objPortedControl.sglDataWidth = 10;
			objInteger4.objPortedControl.sglDataWidth = 10;

			objBlock1.AddDataControl(objInteger2, true);
			objBlock1.AddDataControl(objInteger3, true);
			objBlock1.AddDataControl(objInteger4, true);


			AddDataControl(objBlock1);


		}
		catch 
		{
			throw;
		}
	}



 // AddFloats
	private void AddFloats()
	{

		clsUDFloat objFloat1;
		clsUDFloat objFloat2;
		clsUDFloat objFloat3;
		clsUDFloat objFloat4;
		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Floats");
			objBlock1.enmCompaction= enmCompactionSet.VeryCompact;

				// Simple integer
			objBlock1.objAddFloat("Float1", 1, "Float1");

				// Set width
			objFloat1 = objBlock1.objAddFloat("Float2");
			objFloat2 = new clsUDFloat("Float", 0, "Float2", enmFloat.FloatTextbox);
			objFloat3 = new clsUDFloat("Float Positive", 0, "Float3", enmFloat.FloatTextboxPositive);
			objFloat4 = new clsUDFloat("Float Label", 3.1415, "Float4", enmFloat.Label);

			objFloat1.objPortedControl.sglDataWidth = 10;
			objFloat2.objPortedControl.sglDataWidth = 10;
			objFloat3.objPortedControl.sglDataWidth = 10;
			objFloat4.objPortedControl.sglDataWidth = 10;

			objBlock1.AddDataControl(objFloat2, true);
			objBlock1.AddDataControl(objFloat3, true);
			objBlock1.AddDataControl(objFloat4, true);


			AddDataControl(objBlock1);


		}
		catch 
		{
			throw;
		}

	}


}



	


   