using  FiveTuple.Coderform;
using System.Drawing;

// clsMainForm demonstrates AboutForm inheritance
public class clsDataFormTestAbout : clsAboutForm
{
	private const string mstrABOUT_CODERFORM_TEST = "CoderForm is a presentation manager which allows the user to<nl>" + "specify a user interface in code.<nl>" + "<nl>" + "Forms and controls are generated from the data, rather than using <nl>" + "the Form Editor.  This allows much greater and more flexible use <nl>" + "of inheritance, and a library of useful controls and forms may be <nl>" + "built.  CoderForm also supports validation functions and user interface <nl>" + "state control.<nl>";
	private const string mstrTEXT_ADDITIONAL = "This demo program written by the author";

	private const string mSTR1 = "CoderForm Demo Application";
	private const string mstrTITLE = "About CoderForm Demo..";

	internal clsDataFormTestAbout() : base(mSTR1, mstrTITLE, System.Reflection.Assembly.GetExecutingAssembly())

	{
		System.Drawing.Font fntText;
		clsUDString objAdditional;

		try
		{

			fntText = new Font(System.Drawing.FontFamily.GenericSansSerif, 18F, FontStyle.Bold);
			this.objText.ctlWindowsControl.Font = fntText;
			this.objText.ctlWindowsControl.ForeColor = Color.Maroon;

			this.strDescription = mstrABOUT_CODERFORM_TEST;

			// Addition and positioning of a control
			objAdditional = objAddString(mstrTEXT_ADDITIONAL, enmString.Label);
			objAdditional.Locate(this.objText.objContainer, enmPositionSet.BottomRight, false);

		}
		catch (System.Exception objException)
		{

			objException = objException;
			throw;
		}

	}


}




