using FiveTuple.Coderform;
using System.Windows.Forms;

internal sealed class mdlFormDemos
{

	internal static clsSimpleForm mobjSimpleForm;


	// RunSimpleForm
	internal static void RunSimpleForm()
	{

		string strFields;


		strFields = "Name,Address 1,Address 2";

		mobjSimpleForm = new clsSimpleForm("Simple Form",  strFields,  "Personal Details", 30);

		mobjSimpleForm.get_objDataControl("Name").strValue = "Kim Smith";
		mobjSimpleForm.get_objDataControl("Address 1").strValue = "Hill St";
		mobjSimpleForm.get_objDataControl("Address 2").strValue = "Localville";

		// Need to add event handler
		mobjSimpleForm.evtVisualClosed += new clsDataForm.evtVisualClosedEventHandler(SimpleFormHandler);

		mobjSimpleForm.Expose(true);

	}


	// RunCustomTabbedForm
	internal static void RunCustomTabbedForm()
	{


		clsCustomTabbedForm objCustomTabbedForm = null;

		try
		{

			objCustomTabbedForm = new clsCustomTabbedForm("");
			objCustomTabbedForm.get_objDataControl("Address1").strValue = "Broad Street";

			objCustomTabbedForm.Expose(true);

			objCustomTabbedForm.Dispose();

		}
		catch 
		{
			throw;
		}

	}


	// RunSimpleForm
	internal static void RunSimpleFormMenu()
	{

		string strFields;
		clsSimpleFormMenu objSimpleFormMenu;

		strFields = "Name,Address 1,Address 2";

		objSimpleFormMenu = new clsSimpleFormMenu(strFields, "Simple Form", "Personal Details", 30);

		objSimpleFormMenu.get_objDataControl("Name").strValue = "Kim Smith";
		objSimpleFormMenu.get_objDataControl("Address 1").strValue  = "Hill St";
		objSimpleFormMenu.get_objDataControl("Address 2").strValue  = "LocalVille";

		objSimpleFormMenu.Expose(true);

		objSimpleFormMenu.Dispose();

	}


	// RunCustomFindForm
	internal static void RunCustomPrintForm()
	{

		clsPrintForm objCustomForm;

		objCustomForm = new clsPrintForm("Caption");

		objCustomForm.Expose(true);

	}


	// RunCustomFindForm
	internal static void RunCustomFindForm()
	{

		clsFindForm objCustomForm = null;

		objCustomForm = new clsFindForm("");

		objCustomForm.Expose(true);

		objCustomForm.Dispose();

	}

	
	// RunSimpleButtonBlock
	internal static void RunSimpleButtonBlock()
	{

		clsSimpleButtonBlock objSimpleForm = null;

		objSimpleForm = new clsSimpleButtonBlock("Button block demo");

		objSimpleForm.Expose(true);

		objSimpleForm.Dispose();

	}

	
	// RunCustomViewForm
	internal static void RunCustomViewForm()
	{

		clsViewForm objCustomForm = null;

		objCustomForm = new clsViewForm("");

		objCustomForm.Expose(true);

	}

	// RunCustomLists

	internal static void RunCustomLists()
	{

		clsCustomListForm objDialogForm = null;

		objDialogForm = new clsCustomListForm("Dialog Samples");

		objDialogForm.Expose(true);

		objDialogForm.Dispose();

	}

	// RunCustomControls

	internal static void RunSimpleCustomControls()
	{

		clsSimplePluginControl objSimpleForm;

		objSimpleForm = new clsSimplePluginControl("Plugin controls demo");

		objSimpleForm.Expose(true);

		objSimpleForm.Dispose();

	}



// SimpleFormHandler
	internal static void SimpleFormHandler(object vobjSender, clsClosedEventArgs vobjClosedEventArgs)
	{

		string strValue = null;

		if (! vobjClosedEventArgs.blnCancelled)
		{

			strValue = mobjSimpleForm.get_objDataControl("Name").strValue + System.Environment.NewLine;
			strValue += mobjSimpleForm.get_objDataControl("Address 1").strValue + System.Environment.NewLine;
			strValue += mobjSimpleForm.get_objDataControl("Address 2").strValue + System.Environment.NewLine;

			MessageBox.Show("Returned values are : " + System.Environment.NewLine + System.Environment.NewLine + strValue);

		}

	}


}
