using System.Data;
using System;
using Microsoft.VisualBasic;

public sealed class mdlGeneral
{

	// Returns a sample DataTable for display
	internal static DataTable tblGetSample(int vintMode)
	{

		const int intROWS = 99;
		const int intCOLS = 5;
		const string strDelim = ",";
		
		int intIndex, intRow, intCol;

		char [] achrDelim;

		string strFirstnames;
		string strSurnames;
		string[] astrNames;
		string[] astrFirstnames;
		string[] astrSurnames;

		DataRow drwDataRow;
		DataTable tblDataTable;

		Random randObj;

		try
		{

			astrNames = null;

			randObj = new Random( 1 );

			achrDelim = strDelim.ToCharArray();

			strFirstnames = "Edwin, Jim, Christopher, George, Mike, Alan, Alexander, Peter, Joseph, Tim";
			strSurnames = "Hoops, Smith, Elliot, Marks, Johns, Stevens, Latham, Bilko, Nubbs, Cutts";

			astrFirstnames = strFirstnames.Split(achrDelim);
			astrSurnames = strSurnames.Split(achrDelim);

			switch (vintMode)
			{
				case 1:
				astrNames = astrFirstnames;
				break;
				case 2:
				astrNames = astrSurnames;
				break;
			}

			tblDataTable = new DataTable();

			for (intCol = 1; intCol <= intCOLS; intCol++)
			{

				tblDataTable.Columns.Add("Col" + intCol.ToString());
			}

			for (intRow = 1; intRow <= intROWS; intRow++)
			{

				drwDataRow = tblDataTable.NewRow();

				for (intCol = 1; intCol <= intCOLS; intCol++)
				{

					intIndex = randObj.Next(1, 10);

					drwDataRow["Col" +intCol.ToString()] = astrNames[intIndex].Trim();

				}

				tblDataTable.Rows.Add(drwDataRow);

			}

			return tblDataTable;


		}
		catch 
		{
			throw;
		}

	}



}
