using System;
using FiveTuple.Coderform;

internal sealed class mdlMainStart
{

	private static clsDataForm mobjMainForm;

	internal static clsCustomExceptionHandler gobjErrorHandler;

	// Main entry point - creates the startup form
	internal static void Main()
	{

		string[] astrSamples = new string[12];
		clsCoderFormManager objFormManager=null;
		
		try
		{
			// Creates an instance of the methods that will handle the exception.
			gobjErrorHandler = new clsCustomExceptionHandler();

			objFormManager = new clsCoderFormManager(enmMenuStyleSet.Greys);

			mobjMainForm = new clsMainForm();

			mobjMainForm.frmGenerateForm();

			mobjMainForm.Expose(true);

		}
		catch (Exception objException)
		{

			gobjErrorHandler.ErrorHandler(objException);

		}
		finally
		{

			try
			{

				if (mobjMainForm != null)
				{

					mobjMainForm.Dispose();
				}

				if (objFormManager != null)
				{

					objFormManager.Dispose();
				}

			}
			catch
			{
				// Ignore exceptions here
			}

		}

	}


}


