
' Boolean form 
Public Class clsBooleanForm

    Inherits clsDataForm

    Private Const mstrABOUT_TITLE As String = "Booleans"

    ' Constructor
    Public Sub New()

        MyBase.New(mstrABOUT_TITLE, enmFormStyle.FixedForm, enmButtonTypes.OKReturn)

        Try

            AddBooleans()

        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddBooleans
    Private Sub AddBooleans()

        Dim objBoolean As clsUDBoolean
        Dim objString As clsUDString
        Dim objBlock1 As clsDataBlockList

        Try

            objBlock1 = New clsDataBlockList("Booleans", enmBorderStyle.Rectangular, enmCompactionSet.VeryCompact)

            With objBlock1

                ' Simple boolean
                .objAddBoolean("Boolean1")

                ' Multi line caption
                .objAddBoolean("Boolean2<nl>Boolean2<nl>Boolean2").blnValue = True

                objBoolean = New clsUDBoolean("Boolean3", True)

                .AddDataControl(objBoolean)

                ' Add Last Value listbox
                objString = .objAddString("Last Value", "", "Value", 30, 30, enmString.Label)
                objString.SetState(enmControlState.NotEnabled)

            End With

            AddDataControl(objBlock1)



        Catch objException As Exception

            Throw
        End Try

    End Sub

    ' OnThisDataChanged
    Private Sub OnThisDataChanged(ByVal vobjSender As Object, _
                                  ByVal vobjEventArgs As clsDataChangedEventArgs) _
                                  Handles MyBase.evtDataChanged

        Me.objDataControl("Value").strValue = CStr(vobjEventArgs.objUDType.blnValue)
    End Sub


End Class


