
' Numeric form 
Public Class clsNumericForm

    Inherits clsDataForm

    Private Const mstrABOUT_TITLE As String = "Numerics"

    ' Constructor
    Public Sub New()

        MyBase.New(mstrABOUT_TITLE, enmFormStyle.FixedForm, enmButtonTypes.OKReturn)

        Try

            AddIntegers()
            AddFloats()

        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddIntegers
    Private Sub AddIntegers()

        Dim objInteger1, objInteger2, objInteger3, objInteger4 As clsUDInteger
        Dim objBlock1 As clsDataBlockList

        Try

            objBlock1 = New clsDataBlockList("Integers", enmBorderStyle.Rectangular, enmCompactionSet.VeryCompact)

            With objBlock1

                ' Simple integer
                .objAddInteger("Integer1", 1, "Integer1")

                ' Set width
                objInteger1 = .objAddInteger("Integer2")
                objInteger2 = New clsUDInteger("Integer", 0, "Integer2", enmInteger.IntegerTextbox)
                objInteger3 = New clsUDInteger("Integer Positive", 0, "Integer3", enmInteger.IntegerTextboxPositive)
                objInteger4 = New clsUDInteger("Integer Label", 7000, "Integer4", enmInteger.Label)

                objInteger1.objPortedControl.sglDataWidth = 10
                objInteger2.objPortedControl.sglDataWidth = 10
                objInteger3.objPortedControl.sglDataWidth = 10
                objInteger4.objPortedControl.sglDataWidth = 10

                .AddDataControl(objInteger2, True)
                .AddDataControl(objInteger3, True)
                .AddDataControl(objInteger4, True)

            End With

            AddDataControl(objBlock1)


        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddFloats
    Private Sub AddFloats()

        Dim objFloat1, objFloat2, objFloat3, objFloat4 As clsUDFloat
        Dim objBlock1 As clsDataBlockList

        Try

            objBlock1 = New clsDataBlockList("Floats", enmBorderStyle.Rectangular, enmCompactionSet.VeryCompact)

            With objBlock1

                ' Simple integer
                .objAddFloat("Float1", 1, "Float1")

                ' Set width
                objFloat1 = .objAddFloat("Float2")
                objFloat2 = New clsUDFloat("Float", 0, "Float2", enmFloat.FloatTextbox)
                objFloat3 = New clsUDFloat("Float Positive", 0, "Float3", enmFloat.FloatTextboxPositive)
                objFloat4 = New clsUDFloat("Float Label", 3.1415, "Float4", enmFloat.Label)

                objFloat1.objPortedControl.sglDataWidth = 10
                objFloat2.objPortedControl.sglDataWidth = 10
                objFloat3.objPortedControl.sglDataWidth = 10
                objFloat4.objPortedControl.sglDataWidth = 10

                .AddDataControl(objFloat2, True)
                .AddDataControl(objFloat3, True)
                .AddDataControl(objFloat4, True)

            End With

            AddDataControl(objBlock1)


        Catch objException As Exception

            Throw
        End Try

    End Sub


End Class


