

' clsStringForm
Public Class clsStringForm

    Inherits clsDataForm

    Private Const mstrABOUT_TITLE As String = "Strings"

    ' Constructor
    Public Sub New()

        MyBase.New(mstrABOUT_TITLE, enmFormStyle.FixedForm, enmButtonTypes.OKReturn)

        Try

            AddLabels()

            AddTextboxes()

        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddLabels
    Private Sub AddLabels()

        Dim objLabel As clsUDString
        Dim objBlock1 As clsDataBlockList

        Try

            objBlock1 = New clsDataBlockList("Labels", enmBorderStyle.Rectangular, enmCompactionSet.VeryCompact)

            With objBlock1

                ' Simple label
                .objAddString("Label1")

                ' Block label
                .objAddString("Line1<tt><tt>Line1<nl>Line2<tt><tt>Line2<nl>Line3<tt><tt>Line3")

                ' Explicitly created label
                objLabel = New clsUDString("Label3", enmString.Label)

                .AddDataControl(objLabel)

            End With

            AddDataControl(objBlock1)


        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddTextboxes
    Private Sub AddTextboxes()

        Dim objString As clsUDString
        Dim objBlock1 As clsDataBlockList

        Try

            objBlock1 = New clsDataBlockList("Textboxes", enmBorderStyle.Rectangular)

            With objBlock1

                ' Simple textbox
                .objAddString("Textbox1", "", "Textbox1", 20, 20)

                ' Block textbox
                .objAddString("Textbox2", "Textbox2", "Textbox2", -1, -1)

                
                ' Explicitly created textbox
                objString = New clsUDString("Textbox3", enmString.Textbox)

                .AddDataControl(objString)

                ' Add Last Value listbox
                objString = .objAddString("Last Value", "", "Value", 30, 30, enmString.Textbox)
                objString.SetState(enmControlState.NotEnabled)

            End With

            AddDataControl(objBlock1)


        Catch objException As Exception

            Throw
        End Try

    End Sub

    ' OnThisDataChanged
    Private Sub OnThisDataChanged(ByVal vobjSender As Object, _
                                  ByVal vobjEventArgs As clsDataChangedEventArgs) _
                                  Handles MyBase.evtDataChanged

        Me.objDataControl("Value").strValue = CStr(vobjEventArgs.objUDType.strValue)
    End Sub


End Class


