' clsCustomPicker is a picker block
Public Class clsCustomPicker

    Inherits clsDataBlockList


#Region "Variables"

    Private mobjUDChoice As clsUDStringList
    Private mobjRunButton As clsDataButton

#End Region

#Region "Properties"

    Public ReadOnly Property objRunButton() As clsDataButton
        Get
            objRunButton = mobjRunButton
        End Get
    End Property


#End Region

#Region "Methods"

    ' Constructor
    Public Sub New(ByVal vastrPicklist() As String, _
                   Optional ByVal vstrCaption As String = "")

        ' Call base constructor
        MyBase.New("Picker", enmBorderStyle.None, enmCompactionSet.VeryDispersed)

        Dim objChooserBlockLocal As clsDataBlockList

        Try

            mobjUDChoice = New clsUDStringList("Chooser", vastrPicklist, 0, "Chooser", enmStringList.ListBoxMultiSelect)
            mobjUDChoice.sglDataHeight = 100

            mobjRunButton = New clsDataButton("Run", False, "Run", 0, 0, mobjUDChoice)

            mobjRunButton.ctlVisual.intLeftPad = 10

            ' Add the label
            objAddString(vstrCaption)

            ' Add the combo box
            AddDataControl(mobjUDChoice)

            ' Add the button
            AddDataControl(mobjRunButton, enmPositionSet.RightUpper)

            ' Set some formatting
            ctlVisualContainer.intBottomPad = 60
            ctlVisualContainer.intTopPad = 2

        Catch objException As Exception

            Throw New TypeInitializationException(Me.GetType().FullName(), objException)
        End Try

    End Sub

#End Region


End Class

