
' Class to demonstrate inheritance from clsDataForm
Public Class clsCustomTabbedForm

    Inherits clsDataForm

    Private objPages As clsPages

    Public Sub New(ByVal vstrCaption As String)

        MyBase.New(vstrCaption, enmFormstyle.Sizeable, enmButtonTypes.OKReturnCancelEscape)

        Try

            objPages = New clsPages("Pages")

            AddDataControl(objPages)

        Catch objException As Exception

            Throw New TypeInitializationException(Me.GetType().FullName(), objException)
        End Try

    End Sub

End Class



' Class inherits from clsDataLeaves to make it a kind of tabbed dialog
Friend Class clsPages

    Inherits clsDataLeaves

#Region "Variables"

    Private objString1, objString2, objString3 As clsUDString
    Private objBlock As clsDataBlock

#End Region

#Region "Properties (none)"

#End Region

#Region "Methods"

    Friend Sub New(Optional ByVal vstrCaption As String = "")

        MyBase.New(vstrCaption)

        Dim objCheckBlock As clsCoreCheckBlock
        Dim objAddressBlock As clsAddressBlock

        Try

            objCheckBlock = New clsCoreCheckBlock("Choice", enmBorderStyle.Rectangular, Nothing, enmCompactionSet.VeryCompact)
            objCheckBlock.AddChoice("Choice 1")
            objCheckBlock.AddChoice("Choice 2")
            objCheckBlock.AddChoice("Choice 3")

            objAddressBlock = New clsAddressBlock("Address", enmBorderStyle.Rectangular)

            AddDataControl(objAddressBlock, "AddressBlock")
            AddDataControl(objCheckBlock, "Checkers")

        Catch objException As Exception

            Throw New TypeInitializationException(Me.GetType().FullName(), objException)
        End Try

    End Sub

#End Region


End Class
