

' clsSimpleButtonBlock
Public Class clsSimpleButtonBlock

    Inherits clsDataForm

#Region "Variables"

    Private objSimpleBlock As clsCoreStringBlock

#End Region

#Region "Properties (none)"

#End Region

#Region "Methods"

    ' vstrFieldList is a CSV list of field captions
    Public Sub New(ByVal vstrCaption As String)

        MyBase.New(vstrCaption, enmFormStyle.FixedForm, enmButtonTypes.OKReturnCancelEscape, enmCompactionSet.VeryDispersed)

        Dim objDataButton As clsDataButton
        Dim objButtonBlock As clsDataButtonBlock

        Try

            ' Example code for demonstrating button blocks

            objAddString("Demonstration of button blocks")

            objButtonBlock = New clsDataButtonBlock(enmButtonTypes.OKCancel, _
                                    enmDirectionSet.RightLeft, enmCompactionSet.Regular, "RightLeft", "ButtonBlock", enmBorderStyle.Rectangular)

            AddDataControl(objButtonBlock)

            objButtonBlock = New clsDataButtonBlock(enmButtonTypes.OKCancel, _
                                    enmDirectionSet.LeftRight, enmCompactionSet.Regular, "LeftRight", "ButtonBlock", enmBorderStyle.Rectangular)

            AddDataControl(objButtonBlock)

            objButtonBlock = New clsDataButtonBlock(enmButtonTypes.OKReturnCancelEscape, _
                                                enmDirectionSet.TopDown, enmCompactionSet.VeryDispersed, "TopDown", "ButtonBlock", enmBorderStyle.Rectangular)

            AddDataControl(objButtonBlock)

            objButtonBlock = New clsDataButtonBlock(enmButtonTypes.OKReturnCancelEscape, _
                                    enmDirectionSet.BottomUp, enmCompactionSet.Regular, "BottomUp", "ButtonBlock", enmBorderStyle.Rectangular)

            AddDataControl(objButtonBlock, enmPositionSet.RightUpper)

            objDataButton = objButtonBlock.objAddDataButton("Apply")
            objDataButton.sglDataHeight = 1
            objDataButton.sglDataWidth = 5

        Catch objException As Exception

            Throw New TypeInitializationException(Me.GetType().FullName(), objException)
        End Try

    End Sub

#End Region

End Class




