
Module mdlFormDemos

    Private WithEvents mobjSimpleForm As clsSimpleForm


    ' RunSimpleForm
    Friend Sub RunSimpleForm()

        Dim strFields As String

        strFields = "Name,Address 1,Address 2"

        mobjSimpleForm = New clsSimpleForm(strFields, "Simple Form", "Personal Details", 30)

        mobjSimpleForm("Name") = "Jim Sweeney"
        mobjSimpleForm("Address 1") = "Hill St"
        mobjSimpleForm("Address 2") = "Localville"

        mobjSimpleForm.Expose(True)

    End Sub


    ' RunSimpleButtonBlock
    Friend Sub RunSimpleButtonBlock()

        Dim objSimpleForm As clsSimpleButtonBlock

        objSimpleForm = New clsSimpleButtonBlock("Button block demo")

        objSimpleForm.Expose(True)

        objSimpleForm.Dispose()

    End Sub


    ' RunCustomControls
    Friend Sub RunSimpleCustomControls()

        Dim objSimpleForm As clsSimplePluginControl

        objSimpleForm = New clsSimplePluginControl("Plugin controls demo")

        objSimpleForm.Expose(True)

        objSimpleForm.Dispose()

    End Sub



    ' RunSimpleForm
    Friend Sub RunSimpleFormMenu()

        Dim strFields As String
        Dim objSimpleFormMenu As clsSimpleFormMenu

        strFields = "Name,Address 1,Address 2"

        objSimpleFormMenu = New clsSimpleFormMenu(strFields, "Simple Form", "Personal Details", 30)

        objSimpleFormMenu("Name") = "Jim Sweeney"
        objSimpleFormMenu("Address 1") = "Hill St"
        objSimpleFormMenu("Address 2") = "Localville"

        objSimpleFormMenu.Expose(True)

        objSimpleFormMenu.Dispose()

    End Sub



    ' RunCustomFindForm
    Friend Sub RunCustomFindForm()

        Dim objCustomForm As clsFindForm

        objCustomForm = New clsFindForm

        objCustomForm.Expose(True)

        objCustomForm.Dispose()

    End Sub



    ' RunCustomFindForm
    Friend Sub RunCustomPrintForm()

        Dim objCustomForm As clsPrintForm

        objCustomForm = New clsPrintForm

        objCustomForm.Expose()

    End Sub



    ' RunCustomViewForm
    Friend Sub RunCustomViewForm()

        Dim objCustomForm As clsViewForm

        objCustomForm = New clsViewForm

        objCustomForm.Expose()

    End Sub



    ' RunCustomDialogs
    Friend Sub RunCustomDialogs()

        Dim astrSamples(1) As String
        Dim objDialogForm As clsDataForm
        Dim objPicker As clsCustomPicker

        objDialogForm = New clsDataForm("Dialog Samples", enmFormStyle.FixedForm, enmButtonTypes.CancelEscape)

        astrSamples(0) = "Windows 2000"
        astrSamples(1) = "Classic"

        objPicker = New clsCustomPicker(astrSamples, "Please select the dialog to display")

        objDialogForm.AddDataControl(objPicker)

        objDialogForm.AcceptButton = objPicker.objRunButton

        objDialogForm.Expose(True)

        objDialogForm.Dispose()

    End Sub



    ' RunCustomTabbedForm
    Friend Sub RunCustomTabbedForm()


        Dim objCustomTabbedForm As clsCustomTabbedForm

        Try

            objCustomTabbedForm = New clsCustomTabbedForm("")
            objCustomTabbedForm("Address1") = "Hill Street"

            objCustomTabbedForm.Expose(True)

            objCustomTabbedForm.Dispose()

        Catch objException As Exception

            Throw

        End Try

    End Sub



    ' RunCustomTabbedForm
    Friend Sub RunCustomLists()

        Dim objDialogForm As clsCustomListForm

        objDialogForm = New clsCustomListForm("Dialog Samples")

        objDialogForm.Expose(True)

        objDialogForm.Dispose()

    End Sub



    ' SimpleFormHandler
    Friend Sub SimpleFormHandler(ByVal vobjSender As Object, _
                                  ByVal vobjClosedEventArgs As clsClosedEventArgs) Handles mobjSimpleForm.evtVisualClosed

        Dim strValue As String

        If Not vobjClosedEventArgs.blnCancelled Then

            strValue = mobjSimpleForm("Name") & vbCrLf
            strValue &= mobjSimpleForm("Address 1") & vbCrLf
            strValue &= mobjSimpleForm("Address 2") & vbCrLf

            MsgBox("Returned values are : " & vbCrLf & vbCrLf & strValue)

        End If

    End Sub




End Module
