using FiveTuple.Coderform;
using System;

// Constraint form
public class clsConstraintsDate : clsDataForm
{

	private const string mstrABOUT_TITLE = "Dates";

	public clsConstraintsDate() : base(mstrABOUT_TITLE)

	{

		try
		{

			AddDates();

			AddConstraints();

		}
		catch
		{

			throw;
		}

	}
// AddDates
	private void AddDates()
	{

		clsUDDate objDate1;
		clsUDDate objDate2;
		

		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Dates");

			objDate1 = new clsUDDate("Date1", DateTime.Now );

			objDate2 = new clsUDDate("Date2", DateTime.Now);

			objBlock1.AddDataControl(objDate1);

			objBlock1.AddDataControl(objDate2);

			AddDataControl(objBlock1);

		}
		catch
		{

			throw;
		}

	}


	// AddConstraints
	private void AddConstraints()
	{

		clsDataControl objDataControl1;
		clsDataControl objDataControl2;
		clsConstraintDate objConstraint;

		try
		{

			objDataControl1 = this.get_objDataControl("Date1");

			objDataControl2 = this.get_objDataControl("Date2");

			// Example 7
			objConstraint = new clsConstraintDate(enmCONSTRAINT_DATE.WEEKDAY, "" , true);
			objDataControl1.objAddDuty(objConstraint, enmDutyBinding.DataChanged | enmDutyBinding.Validation, enmControlState.MessageAlert);

			// Example 8
			objConstraint = new clsConstraintDate(System.DateTime.Now.AddDays(1), System.DateTime.Now.AddDays(8));
			objDataControl2.objAddDuty(objConstraint, enmDutyBinding.DataChanged | enmDutyBinding.Validation, enmControlState.MessageAlert);

		}
		catch
		{

			throw;
		}

	}

	
}


