using FiveTuple.Coderform;
// Constraint form
public class clsConstraintsStringList : clsDataForm
{

	private const string mstrABOUT_TITLE = "StringList";

	public clsConstraintsStringList() : base(mstrABOUT_TITLE)

	{

		try
		{

			AddControls();

			AddConstraints();

		}
		catch
		{

			throw;
		}

	}


	// AddConstraints
	private void AddConstraints()
	{

		clsDataControl objDataControl1;
		clsDataControl objLabel1;
		clsDataControl objLabel2;
		clsDataControl objLabel3;
		clsConstraintStringList objConstraint;

		try
		{


			objDataControl1 = this.get_objDataControl("StringList1");

			objLabel1 = this.get_objDataControl("Item1");
			objLabel2 = this.get_objDataControl("Item2");
			objLabel3 = this.get_objDataControl("Item3");

			// Physically overlay the controls
			objLabel2.Locate(objLabel1, enmPositionSet.TopLeft, true);
			objLabel3.Locate(objLabel1, enmPositionSet.TopLeft, true);


			objConstraint = new clsConstraintStringList(0);
			objDataControl1.objAddDuty(objConstraint, (int)(enmDutyBinding.Display | enmDutyBinding.DataChanged), enmControlState.Visible, objLabel1);

			objConstraint = new clsConstraintStringList(1);
			objDataControl1.objAddDuty(objConstraint, (int) (enmDutyBinding.Display | enmDutyBinding.DataChanged), enmControlState.Visible, objLabel2);

			objConstraint = new clsConstraintStringList(2,3);
			objDataControl1.objAddDuty(objConstraint, (int) (enmDutyBinding.Display | enmDutyBinding.DataChanged), enmControlState.Visible, objLabel3);

		}
		catch
		{

			throw;
		}
	}


	// AddControls
	private void AddControls()
	{

		int intI, intSize, intTop;
		string[] astrList;
		clsUDStringList objStringList;
		clsDataBlockList objBlock1;

		try
		{

			intSize = 4;

			objBlock1 = new clsDataBlockList("String Lists");

			astrList = new string[intSize];

			intTop = intSize - 1;
			for (intI = 0; intI <= intTop; intI++)
			{

				astrList[intI] = "Pizza " + (char)(65 + intI);
			}

			// Simple call
			objStringList = new clsUDStringList("StringList1", ref astrList, 2,"StringList1", enmStringList.ListBox);


			objBlock1.AddDataControl(objStringList);

			objBlock1.objAddString("Tomato and Cheese").strTag = "Item1";
			objBlock1.objAddString("Ham and Mushroom").strTag = "Item2";
			objBlock1.objAddString("Tuna and Olives ").strTag = "Item3";


			AddDataControl(objBlock1);


		}
		catch
		{

			throw;
		}

	}

}



	

