using FiveTuple.Coderform;

// Boolean form 
public class clsBooleanForm : clsDataForm
{

	private const string mstrABOUT_TITLE = "Booleans";

	public clsBooleanForm() : base(mstrABOUT_TITLE, enmFormStyle.FixedForm, enmButtonTypes.OKReturn, enmCompactionSet.DefaultCompaction, enmPositionSet.BottomRight, "BooleanForm" )

	{

		try
		{

			AddBooleans();

			base.evtDataChanged += new clsDataForm.evtDataChangedEventHandler(OnThisDataChanged);

		}
		catch (System.Exception objException)
		{

			objException = objException;
			throw;
		}

	}


	// AddBooleans
	private void AddBooleans()
	{

		clsUDBoolean objBoolean;
		clsUDString objString;
		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Booleans", enmBorderStyle.Rectangular, enmCompactionSet.VeryCompact, enmPositionSet.BottomLeft, "Booleans");


			// Simple boolean
			objBlock1.objAddBoolean("Boolean1",false,"Boolean1");

			// Multi line caption
			objBlock1.objAddBoolean("Boolean2<nl>Boolean2<nl>Boolean2",true,"<vstrcaption>").blnValue = true;

			objBoolean = new clsUDBoolean( "Boolean3", true, "Boolean3",enmBoolean.CheckBox);

			objBlock1.AddDataControl(objBoolean);

			// Add Last Value listbox
			objString = objBlock1.objAddString("Last Value", "False", "Value", 30, 30, enmString.Label);
			objString.SetState(enmControlState.NotEnabled,"");


			AddDataControl(objBlock1);



		}
		catch 
		{

			throw;
		}

	}

	private void OnThisDataChanged(object vobjSender, clsDataChangedEventArgs vobjEventArgs)
	{

		this.get_objDataControl("Value").strValue = vobjEventArgs.objUDType.blnValue.ToString();
	}



}


