using FiveTuple.Coderform;

// String form 
public class clsStringForm : clsDataForm
{

	private const string mstrABOUT_TITLE = "Strings";

	public clsStringForm() : base(mstrABOUT_TITLE)

	{

		try
		{

			AddLabels();

			AddTextboxes();

		}
		catch 
		{
			throw;
		}

	}


	// AddLabels
	private void AddLabels()
	{

		clsUDString objLabel;
		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Labels");
			objBlock1.enmCompaction = enmCompactionSet.VeryCompact;


				// Simple label
			objBlock1.objAddString("Label1");

				// Block label
			objBlock1.objAddString("Line1<tt><tt>Line1<nl>Line2<tt><tt>Line2<nl>Line3<tt><tt>Line3");

				// Explicitly created label
			objLabel = new clsUDString("Label3", enmString.Label);

			objBlock1.AddDataControl(objLabel);


			AddDataControl(objBlock1);

			base.evtDataChanged += new clsDataForm.evtDataChangedEventHandler(OnThisDataChanged);

		}
		catch 
		{
			throw;
		}

	}

// AddTextboxes
	private void AddTextboxes()
	{

		clsUDString objString;
		clsDataBlockList objBlock1;

		try
		{

			objBlock1 = new clsDataBlockList("Textboxes");


				// Simple textbox
			objBlock1.objAddString("Textbox1", "", "Textbox1", 20, 20, enmString.Textbox );

				// Block textbox
			objBlock1.objAddString("Textbox2", "Textbox2", "Textbox2", -1, -1, enmString.Textbox);

				// Explicitly created textbox
			objString = new clsUDString("Textbox3", enmString.Textbox);

			objBlock1.AddDataControl(objString);

				// Add Last Value listbox
			objString = objBlock1.objAddString("Last Value", "", "Value", 30, 30, enmString.Textbox);
			objString.SetState(enmControlState.NotEnabled);


			AddDataControl(objBlock1);


		}
		catch 
		{

			throw;
		}

	}

	// OnThisDataChanged
	private void OnThisDataChanged(object vobjSender, clsDataChangedEventArgs vobjEventArgs)
	{

		this.get_objDataControl("Value").strValue = vobjEventArgs.objUDType.strValue;
	}


}


