using FiveTuple.Coderform;

// About form 
public class clsStringListForm: clsDataForm
{


	private const string mstrABOUT_TITLE = "StringLists";


	public clsStringListForm() : base(mstrABOUT_TITLE)

	{

		try
		{

			AddStringListsSimple();

			AddStringListsComposite();

		}
		catch 
		{
			throw;
		}

	}


	// AddStringListsSimple
	private void AddStringListsSimple()
	{

		int intSize, intTop;
		int intI;
		string[] astrList;
		clsUDStringList objStringList;
		clsDataBlockList objBlock1;

		try
		{

			intSize = 4;

			objBlock1 = new clsDataBlockList("String Lists");


			astrList = new string[intSize];

			intTop = intSize - 1;
			for (intI = 0; intI <= intTop; intI++)
			{

				astrList[intI] = "Listbox Entry " + (char)(65 + intI);
			}

				// Simple call
			objStringList = new clsUDStringList("StringList", ref astrList, 2, "StrL1", enmStringList.ListBox);

			objBlock1.AddDataControl(objStringList);

				// Simple call
			objStringList = new clsUDStringList("CheckedStringList", ref astrList, 2, "Chk1", enmStringList.CheckedListbox);
			objStringList.sglDataHeightMax = 3;

			objBlock1.AddDataControl(objStringList);

				// Simple call
			objStringList = new clsUDStringList("CheckedStringList", ref astrList, 2, "Chk2", enmStringList.Combobox);

			objBlock1.AddDataControl(objStringList);

			AddDataControl(objBlock1);


		}
		catch 
		{
			throw;
		}

	}



	// AddStringListsComposite
	private void AddStringListsComposite()
	{

		int intSize, intTop, intI;
		string[] astrList;
		clsUDStringList objStringList;
		clsDataBlockList objBlock1;

		try
		{

			intSize = 4;

			objBlock1 = new clsDataBlockList("Composite StringLists");


			astrList = new string[intSize];

			intTop = intSize - 1;
			
			for (intI = 0; intI <= intTop; intI++)
			{

				astrList[intI] = "Composite Stringlist Entry " + (char)(65 + intI);
			}

				// Simple call
			objStringList = new clsUDStringList("StringList", ref astrList, 0 ,"StrLRadio1", enmStringList.RadioChoice);

			objBlock1.AddDataControl(objStringList);

				// Simple call
			objStringList = new clsUDStringList("CheckedStringList", ref astrList, 0,"StrLCheck1", enmStringList.CheckChoice);

			objBlock1.AddDataControl(objStringList);


			AddDataControl(objBlock1);


		}
		catch
		{
			throw;
		}

	}

}

