using FiveTuple.Coderform;

// Simple form - demonstrates inheritance from clsDataForm
public class clsCustomForm : clsDataForm
{

	private clsAddressBlock objGeneralBlock;

	public clsCustomForm(string vstrCaption) : base(vstrCaption, enmFormStyle.OptionsDialog, enmButtonTypes.OKReturn)

	{

		try
		{

			clsDataLeaves objTabbedBlock;
			clsDataBlock objDataBlock;

			objGeneralBlock = new clsAddressBlock("Address");

			objDataBlock = new clsDataBlock("", enmBorderStyle.None, "");

			objTabbedBlock = new clsDataLeaves("Tab");
			objTabbedBlock.AddDataControl(objGeneralBlock, "Boo");

			objDataBlock.AddDataControl(objTabbedBlock);
			AddDataControl(objDataBlock);

		}
		catch
		{

			throw;
		}

	}

}
// Standard address list
public class clsAddressBlock : clsDataBlockListIcon
{

#region Variables

	private clsUDString objPostcode;

#endregion

#region Properties (none)

#endregion

#region Methods


	internal clsAddressBlock(string vstrCaption) : base(vstrCaption, enmLib.save_zip)

	{

		clsUDType objName;
		clsUDType objAddress1;

		try
		{

			objName = objAddString("Name1", enmString.Textbox);
			objAddress1 = objAddString("Name2", enmString.Textbox);;
			objAddString("Address 1", enmString.Textbox).strTag =  "Address1";
			objAddString("Address 2", enmString.Textbox).strTag =  "Address2";

			objPostcode = new clsUDString("PostCode", "HOHOHO", "PostCode", 8, 8, enmString.Label);
			AddDataControl(objPostcode);

			AddConstraints();

		}
		catch
		{

			throw;
		}

	}

	// Add constraints to the Address template
	private void AddConstraints()
	{

		clsConstraintString objConstraintName;

		// Add a string constraint to the name
		objConstraintName = new clsConstraintString(enmCONSTRAINT_STRING.POSTCODE_UK);
		get_objUDType("Name1").objAddDuty(objConstraintName, enmDutyBinding.Validation, enmControlState.MessageAlert);

	}


#endregion


}


