// clsCustomPicker is a picker block
public class clsCustomPicker : clsDataBlockList
{

#region Variables

	private clsUDStringList mobjUDChoice;
	private clsDataButton mobjRunButton;

#endregion

#region Properties

	public clsDataButton objRunButton
	{
		get
		{
			return mobjRunButton;
		}
	}


#endregion

#region Methods

	// Constructor

	public clsCustomPicker(string[] vastrPicklist)
	{
		return clsCustomPicker(vastrPicklist, "");
	}

	public clsCustomPicker(string[] vastrPicklist, string vstrCaption) : base("Picker", enmBorderStyle.None, enmCompactionSet.VeryDispersed)

	// Call base constructor
	{

		clsDataBlockList objChooserBlockLocal = null;

		try
		{

			mobjUDChoice = new clsUDStringList("Chooser", vastrPicklist, 0, "Chooser", enmStringList.ListBoxMultiSelect);
			mobjUDChoice.sglDataHeight = 100;

			mobjRunButton = new clsDataButton("Run", false, "Run", 0, 0, mobjUDChoice);

			mobjRunButton.ctlVisual.intLeftPad = 10;

			// Add the label
			objAddString(vstrCaption);

			// Add the combo box
			AddDataControl(mobjUDChoice);

			// Add the button
			AddDataControl(mobjRunButton, enmPositionSet.RightUpper);

			// Set some formatting
			ctlVisualContainer.intBottomPad = 60;
			ctlVisualContainer.intTopPad = 2;

		}
		catch
		{

			throw new TypeInitializationException(this.GetType().FullName, objException);
		}

	}

#endregion

}

