using FiveTuple.Coderform;

// Class to demonstrate inheritance from clsDataForm
public class clsCustomTabbedForm : clsDataForm
{


	private clsPages objPages;

	public clsCustomTabbedForm(string vstrCaption) : base(vstrCaption, enmFormStyle.Sizeable, enmButtonTypes.OKReturnCancelEscape)

	{

		try
		{

			objPages = new clsPages("Pages");

			AddDataControl(objPages);

		}
		catch
		{

			throw;
		}

	}

}



// Class inherits from clsDataLeaves to make it a kind of tabbed dialog
internal class clsPages : clsDataLeaves
{


#region Variables (None)

#endregion

#region Properties (none)

#endregion

#region Methods


	internal clsPages(string vstrCaption) : base(vstrCaption)

	{

		clsCoreCheckBlock objCheckBlock = null;
		clsAddressBlock objAddressBlock = null;

		try
		{

			objCheckBlock = new clsCoreCheckBlock("Choice", enmBorderStyle.Rectangular, null, enmCompactionSet.VeryCompact);
			objCheckBlock.AddChoice("Choice 1");
			objCheckBlock.AddChoice("Choice 2");
			objCheckBlock.AddChoice("Choice 3");

			objAddressBlock = new clsAddressBlock("Address");

			AddDataControl(objAddressBlock, "AddressBlock");
			AddDataControl(objCheckBlock, "Checkers");

		}
		catch
		{

			throw;
		}

	}

#endregion


}
