using FiveTuple.Coderform;

// clsSimpleButtonBlock
public class clsSimpleButtonBlock : clsDataForm
{

#region Variables  (none)

#endregion

#region Properties (none)

#endregion

#region Methods

	// vstrFieldList is a CSV list of field captions
	public clsSimpleButtonBlock(string vstrCaption) : base(vstrCaption, enmFormStyle.FixedForm, enmButtonTypes.OKReturnCancelEscape, enmCompactionSet.VeryDispersed, enmPositionSet.DefaultPosition,"")

	{

		clsDataButton objDataButton ;
		clsDataButtonBlock objButtonBlock ;

		try
		{

			// Example code for demonstrating button blocks

			objAddString("Demonstration of button blocks");

			objButtonBlock = new clsDataButtonBlock(enmButtonTypes.OKCancel, enmDirectionSet.RightLeft, enmCompactionSet.Regular, "RightLeft", "ButtonBlock", enmBorderStyle.Rectangular);

			AddDataControl(objButtonBlock);

			objButtonBlock = new clsDataButtonBlock(enmButtonTypes.OKCancel, enmDirectionSet.LeftRight, enmCompactionSet.Regular, "LeftRight", "ButtonBlock", enmBorderStyle.Rectangular);

			AddDataControl(objButtonBlock);

			objButtonBlock = new clsDataButtonBlock(enmButtonTypes.OKReturnCancelEscape, enmDirectionSet.TopDown, enmCompactionSet.VeryDispersed, "TopDown", "ButtonBlock", enmBorderStyle.Rectangular);

			AddDataControl(objButtonBlock);

			objButtonBlock = new clsDataButtonBlock(enmButtonTypes.OKReturnCancelEscape, enmDirectionSet.BottomUp, enmCompactionSet.Regular, "BottomUp", "ButtonBlock", enmBorderStyle.Rectangular);

			AddDataControl(objButtonBlock, enmPositionSet.RightUpper);

			objDataButton = objButtonBlock.objAddDataButton("Apply");
			objDataButton.sglDataHeight = 1;
			objDataButton.sglDataWidth = 5;

		}
		catch
		{
			throw;
		}

	}

#endregion

}




