using System.Windows.Forms;
using FiveTuple.Coderform;

// clsSimpleFormMenu demonstrates menu functions
public class clsSimpleFormMenu : clsSimpleForm
{

#region Variables (none)

#endregion

#region Properties (none)

#endregion

#region Methods

	public clsSimpleFormMenu(string vstrFormCaption, string vstrFieldList, string vstrBlockCaption, int vintWidth) : base( vstrFieldList, vstrFormCaption, vstrBlockCaption, vintWidth)

	{

		clsDataMenu objDataMenu ;
		clsDataMenu objDataSubMenu1 ;
		clsDataMenu objDataSubMenu2 ;
		clsDataMenu objDataSubMenu3 ;
		clsDataMenu objDataSubSubMenu1 ;
		clsDataMenu objDataSubSubMenu2 ;

		try
		{

			// Example code for adding main and context menus
			objDataSubMenu1 = new clsDataMenu("Context Only");
			objDataSubMenu1.enmMenuSiting = enmMenuSitingSet.enmMenuContext;

			objDataSubSubMenu1 = new clsDataMenu("Context submenu");
			objDataSubSubMenu1.enmMenuSiting = enmMenuSitingSet.enmMenuContext;
			objDataSubMenu1.AddDataMenu(objDataSubSubMenu1);

			objDataSubMenu2 = new clsDataMenu("Main Only");
			objDataSubMenu2.enmIcon = enmMenuIcon.find;
			objDataSubMenu2.enmMenuSiting = enmMenuSitingSet.enmMenuMain;

			objDataSubSubMenu2 = new clsDataMenu("Main submenu 1");
			objDataSubSubMenu2.enmMenuSiting = enmMenuSitingSet.enmMenuMain;
			objDataSubMenu2.AddDataMenu(objDataSubSubMenu2);
			objDataSubMenu2.objAddDataMenu("Main submenu 2", "MainSubmenu2", enmMenuSitingSet.enmMenuMain);


			objDataSubMenu3 = new clsDataMenu("Main and Context");
			objDataSubMenu3.enmMenuSiting = enmMenuSitingSet.enmMenuMainAndContext;


			// Note that the header menu must be file and context, or context submenus will not be shown
			objDataMenu = objAddMenu("File", "Quit (Main and Context)", enmMenuSitingSet.enmMenuMainAndContext);
			objDataMenu.AddDataMenu(objDataSubMenu1);
			objDataMenu.AddDataMenu(objDataSubMenu2);
			objDataMenu.AddDataMenu(objDataSubMenu3);

			base.evtMenuClicked += new clsDataControl.evtMenuClickedEventHandler(MenuClickEventHandler);


		}
		catch
		{

			throw;
		}

	}

	// Event handler - menus
	internal void MenuClickEventHandler(object vobjSender, clsMenuClickedEventArgs vobjEventArgs)
	{


		try
		{

			MessageBox.Show(vobjEventArgs.strTag + " Clicked");

			get_objGetDataMenu("MainSubmenu2").SetState(enmControlState.NotEnabled);

		}
		catch
		{

			throw;

		}

	}


#endregion

}




