

' Constraint form
Public Class clsConstraintsNumeric

    Inherits clsDataForm

    Private Const mstrABOUT_TITLE As String = "Numerics"
    Private mobjApply As clsDataButton

    ' Constructor
    Public Sub New()

        MyBase.New(mstrABOUT_TITLE, enmFormStyle.FixedForm, enmButtonTypes.OKReturnCancelEscape, _
                   enmCompactionSet.Regular, enmPositionSet.BottomLeft)


        Try

            AddTextboxes()

            AddConstraints()

        Catch objException As Exception

            Throw
        End Try

    End Sub

    ' AddConstraints
    Private Sub AddConstraints()

        Dim objDataControl1, objDataControl2, objDataControl3 As clsDataControl
        Dim objDuty As clsDuty
        Dim objAction As clsDutyAction
        Dim objConstraint As clsConstraintNumeric

        Try

            objDataControl1 = Me.objDataControl("Integer1")

            objDataControl2 = Me.objDataControl("Integer2")

            ' Example 5
            objConstraint = New clsConstraintNumeric(4, 4)
            objDataControl1.objAddDuty(objConstraint, enmDutyBinding.Display Or enmDutyBinding.DataChanged, _
                                       enmControlState.Enabled, objDataControl2)

            ' Example 6
            objDataControl2 = Me.objDataControl("Float1")
            objDataControl3 = Me.objDataControl("Float2")

            objDuty = objDataControl1.objAddDuty(objConstraint, _
                                                 enmDutyBinding.Display Or enmDutyBinding.DataChanged, _
                                                 enmControlState.Enabled, objDataControl2)

            objDuty.AddAction(objDataControl3, enmControlState.Enabled)

        Catch objException As Exception

            Throw
        End Try

    End Sub

    ' AddTextboxes
    Private Sub AddTextboxes()

        Dim objString As clsUDString

        Dim objBlock1 As clsDataBlockList

        Try

            objBlock1 = New clsDataBlockList("Numerics", enmBorderStyle.Rectangular)

            With objBlock1

                ' Integer
                .objAddInteger("Integer1", 4, "Integer1")

                ' Integer
                .objAddInteger("Integer2")

                ' Float
                .objAddFloat("Float1", 3.1415926, "Float1")

                ' Float
                .objAddFloat("Float2", 1.414, "Float2")

            End With

            AddDataControl(objBlock1)

        Catch objException As Exception

            Throw
        End Try

    End Sub


End Class


