

' clsStringListForm
Public Class clsStringListForm

    Inherits clsDataForm

    Private Const mstrABOUT_TITLE As String = "StringLists"

    ' Constructor
    Public Sub New()

        MyBase.New(mstrABOUT_TITLE, enmFormStyle.FixedForm, enmButtonTypes.OKReturn)

        Try

            AddStringListsSimple()

            AddStringListsComposite()

        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddStringListsSimple
    Private Sub AddStringListsSimple()

        Dim intSize, intI As Integer
        Dim astrList() As String
        Dim objStringList As clsUDStringList
        Dim objBlock1 As clsDataBlockList

        Try

            intSize = 4

            objBlock1 = New clsDataBlockList("String Lists", enmBorderStyle.Rectangular, enmCompactionSet.Regular)

            With objBlock1

                ReDim astrList(intSize - 1)

                For intI = 0 To intSize - 1

                    astrList(intI) = "Listbox Entry " & Chr(65 + intI)
                Next

                ' Simple call
                objStringList = New clsUDStringList("StringList", astrList, 2)

                .AddDataControl(objStringList)

                ' Simple call
                objStringList = New clsUDStringList("CheckedStringList", astrList, 2, , enmStringList.CheckedListbox)
                objStringList.sglDataHeightMax = 3

                .AddDataControl(objStringList)

                ' Simple call
                objStringList = New clsUDStringList("CheckedStringList", astrList, 2, , enmStringList.Combobox)

                .AddDataControl(objStringList)


            End With

            AddDataControl(objBlock1)


        Catch objException As Exception

            Throw
        End Try

    End Sub


    ' AddStringListsSimple
    Private Sub AddStringListsComposite()

        Dim intSize, intI As Integer
        Dim astrList() As String
        Dim objStringList As clsUDStringList
        Dim objBlock1 As clsDataBlockList

        Try

            intSize = 4

            objBlock1 = New clsDataBlockList("Composite StringLists", enmBorderStyle.Rectangular, enmCompactionSet.Regular)

            With objBlock1

                ReDim astrList(intSize - 1)

                For intI = 0 To intSize - 1

                    astrList(intI) = "Composite Stringlist Entry " & Chr(65 + intI)
                Next

                ' Simple call
                objStringList = New clsUDStringList("StringList", astrList, , , enmStringList.RadioChoice)

                .AddDataControl(objStringList)

                ' Simple call
                objStringList = New clsUDStringList("CheckedStringList", astrList, 0, , enmStringList.CheckChoice)

                .AddDataControl(objStringList)

            End With

            AddDataControl(objBlock1)


        Catch objException As Exception

            Throw
        End Try

    End Sub


End Class


