

' Simple form - demonstrates inheritance from clsDataForm
Public Class clsSimpleForm

    Inherits clsDataForm

#Region "Variables"

    Private objSimpleBlock As clsCoreStringBlock

#End Region

#Region "Properties (none)"

#End Region

#Region "Methods"

    ' vstrFieldList is a CSV list of field captions
    Public Sub New(ByVal vstrFieldList As String, _
                   Optional ByVal vstrFormCaption As String = "", _
                   Optional ByVal vstrBlockCaption As String = "", _
                   Optional ByVal vintWidth As Integer = 30)

        MyBase.New(vstrFormCaption, enmFormStyle.FixedForm, enmButtonTypes.OKReturnCancelEscape)

        Dim objTestText As clsUDString
        Dim objTestButton As clsDataButton

        Try

            objSimpleBlock = New clsCoreStringBlock(vstrBlockCaption, vstrFieldList, vintWidth)

            AddDataControl(objSimpleBlock)

        Catch objException As Exception

            Throw New TypeInitializationException(Me.GetType().FullName(), objException)
        End Try

    End Sub

#End Region

End Class




