

' clsSimpleFormMenu demonstrates menu functions
Public Class clsSimplePluginControl

    Inherits clsDataForm

    Private objSimpleBlock As clsCoreStringBlock

    ' Constructor
    Public Sub New(ByVal vstrCaption As String)

        MyBase.New(vstrCaption, enmFormStyle.FixedForm, enmButtonTypes.OKReturnCancelEscape, enmCompactionSet.VeryDispersed)

        Dim objString1, objString2 As clsUDString
        Dim ctlSeparator As clsSeparatorControl
        Dim ctlGradientLabel As clsGradientLabelControl

        Try

            ' Example code for demonstrating plugin
            ctlSeparator = New clsSeparatorControl("Title Bar", 40)

            objAddString("Demonstration of plugin controls")

            objString1 = New clsUDString("", enmString.Custom)

            objString1.objPortedControl = ctlSeparator

            AddDataControl(objString1)

            ctlGradientLabel = New clsGradientLabelControl("Label", 80, 16)

            objString2 = New clsUDString("", enmString.Custom)

            objString2.objPortedControl = ctlGradientLabel

            AddDataControl(objString2)


        Catch objException As Exception

            Throw New TypeInitializationException(Me.GetType().FullName(), objException)
        End Try

    End Sub


End Class




