Module mdlGeneral

    ' Returns a sample DataTable for display
    Friend Function tblGetSample(ByVal vintMode As Integer) As DataTable

        Const intROWS As Integer = 99
        Const intCOLS As Integer = 5
        Dim intIndex, intRow, intCol As Integer
        Dim drwDataRow As DataRow
        Dim tblDataTable As DataTable
        Dim strFirstnames, strSurnames As String
        Dim astrNames(), astrFirstnames(), astrSurnames() As String

        Try

            strFirstnames = "Edwin, Jim, Christopher, George, Mike, Alan, Alexander, Peter, Joseph, Tim"
            strSurnames = "Hoops, Smith, Elliot, Marks, Johns, Stevens, Latham, Bilko, Nubbs, Cutts"

            astrFirstnames = Split(strFirstnames, ",")
            astrSurnames = Split(strSurnames, ",")

            Select Case vintMode
                Case 1 : astrNames = astrFirstnames
                Case 2 : astrNames = astrSurnames
            End Select

            tblDataTable = New DataTable

            For intCol = 1 To intCOLS

                tblDataTable.Columns.Add("Col" & CStr(intCol))
            Next

            For intRow = 1 To intROWS

                drwDataRow = tblDataTable.NewRow()

                For intCol = 1 To intCOLS

                    intIndex = CInt(Int((9 - 0 + 1) * Rnd() + 0))

                    drwDataRow("Col" & CStr(intCol)) = astrNames(intIndex).Trim

                Next intCol

                tblDataTable.Rows.Add(drwDataRow)

            Next intRow

            Return tblDataTable


        Catch objException As Exception

            Throw
        End Try

    End Function


End Module
