

Module mdlMainStart

    Friend gobjErrorHandler As clsCustomExceptionHandler

    Private WithEvents mobjMainForm As clsDataForm


    ' Main entry point - creates the startup form
    Friend Sub Main()

        Dim astrSamples(11) As String
        Dim objFormManager As clsCoderFormManager
        Dim objMenu As clsDataMenu

        Try

            ' Creates an instance of the methods that will handle the exception.
            gobjErrorHandler = New clsCustomExceptionHandler

            objFormManager = New clsCoderFormManager(enmMenuStyleSet.Greys)

            mobjMainForm = New clsMainForm

            mobjMainForm.frmGenerateForm()

            mobjMainForm.Expose(True)

        Catch objException As Exception

            gobjErrorHandler.ErrorHandler(objException)

        Finally

            Try


                If Not mobjMainForm Is Nothing Then

                    mobjMainForm.Dispose()
                End If

                If Not objFormManager Is Nothing Then

                    objFormManager.Dispose()
                End If

            Catch
                ' Ignore exceptions here
            End Try

        End Try

    End Sub


End Module
